### File

`packages/components/eui-tree/eui-tree-helper.ts`

### Index

###### Methods
Public getItems Public getPath Public getPaths

### Constructor

`constructor(treeData: TreeDataModel)`
Parameters :
Name | Type | Optional
treeData | `TreeDataModel` | No

### Methods

Public getItems
`getItems(values: Array, identifierKey?: string)`
Parameters :
Name | Type | Optional
values | `Array<any>` | No
identifierKey | `string` | Yes
Returns : `Array<TreeItemModel>`

Public getPath
`getPath(value: any, identifierKey: string)`
Parameters :
Name | Type | Optional | Default value
value | `any` | No |
identifierKey | `string` | No | `'node.treeContentBlock.id'`
Returns : `string`

Public getPaths
`getPaths(values: Array, identifierKey?: string)`
Parameters :
Name | Type | Optional
values | `Array<any>` | No
identifierKey | `string` | Yes
Returns : `Array<string>`

# results matching ""

# No results matching ""